#ifndef _PROJECT
#include "project.h"
#endif

#include "processfile.h"
#include "fedcli_proc.h"

extern pthread_mutex_t filedb_mutex;
extern pthread_mutex_t serverdb_mutex;
extern Tfiledb filedb;
extern Tserverdb serverdb;

typedef struct{
	SOCKDESCR listensock;
	SA_IN addr;
}Targ;

typedef struct{
	SOCKDESCR connsock;
}TCSarg;

typedef struct{
	string filename;
	string addr;
	int    port;
}Tserverget;


void *ClientToServer(void *arg);
int ManagePSO(SOCKDESCR connsock, string filename, int remote_numofacc); 